Index: /doc/latex/arx__test_8cpp__incl.eps
===================================================================
--- /doc/latex/arx__test_8cpp__incl.eps (revision 261)
+++ /doc/latex/arx__test_8cpp__incl.eps (revision 270)
@@ -298,5 +298,5 @@
 closepath stroke
 grestore
-% Node7
+% Node8
 gsave
 [ /Rect [ 96 233 172 253 ]
@@ -323,5 +323,5 @@
 104 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node2->Node7
+% Node2->Node8
 gsave
 1 setlinewidth
@@ -346,5 +346,5 @@
 % Node4
 gsave
-[ /Rect [ 20 175 70 195 ]
+[ /Rect [ 17 175 67 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -352,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 20 174 moveto
-20 195 lineto
-71 195 lineto
-71 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 20 174 moveto
-20 195 lineto
-71 195 lineto
-71 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-27.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 17 174 moveto
+17 195 lineto
+68 195 lineto
+68 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 17 174 moveto
+17 195 lineto
+68 195 lineto
+68 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+24.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node3->Node4
@@ -375,22 +375,22 @@
 0.667 0.776 0.439 edgecolor
 newpath 40 232 moveto
-41 224 42 214 43 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 46.49 205.3 moveto
-44 195 lineto
-39.52 204.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 46.49 205.3 moveto
-44 195 lineto
-39.52 204.6 lineto
+40 224 40 214 41 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.5 205 moveto
+41 195 lineto
+37.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.5 205 moveto
+41 195 lineto
+37.5 205 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 58 59 130 79 ]
+[ /Rect [ 43 59 115 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -398,20 +398,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 58 58 moveto
-58 79 lineto
-130 79 lineto
-130 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 58 58 moveto
-58 79 lineto
-130 79 lineto
-130 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-66 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 43 58 moveto
+43 79 lineto
+115 79 lineto
+115 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 43 58 moveto
+43 79 lineto
+115 79 lineto
+115 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+51 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node4->Node5
@@ -420,18 +420,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 50 174 moveto
-58 155 76 113 86 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 89.14 89.56 moveto
-90 79 lineto
-82.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 89.14 89.56 moveto
-90 79 lineto
-82.74 86.72 lineto
+newpath 40 174 moveto
+39 159 37 135 44 116 curveto
+48 106 55 95 61 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.05 88.83 moveto
+68 79 lineto
+58.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.05 88.83 moveto
+68 79 lineto
+58.78 84.22 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 53 116 moveto
+53 137 lineto
+91 137 lineto
+91 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 53 116 moveto
+53 137 lineto
+91 137 lineto
+91 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+61 123.5 moveto 22 (map) alignedtext
+grestore
+% Node4->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48 174 moveto
+52 166 58 155 62 146 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 65.2 147.44 moveto
+67 137 lineto
+59.08 144.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.2 147.44 moveto
+67 137 lineto
+59.08 144.04 lineto
 closepath stroke
 grestore
@@ -439,20 +481,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-132 21 lineto
-132 0 lineto
+newpath 42 0 moveto
+42 21 lineto
+117 21 lineto
+117 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-132 21 lineto
-132 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-64.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 42 0 moveto
+42 21 lineto
+117 21 lineto
+117 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+49.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node5->Node6
@@ -461,42 +503,42 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 94 58 moveto
-94 50 94 40 94 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 97.5 31 moveto
-94 21 lineto
-90.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 97.5 31 moveto
-94 21 lineto
-90.5 31 lineto
-closepath stroke
-grestore
-% Node7->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 117 232 moveto
-104 223 84 210 69 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 70.44 196.8 moveto
-60 195 lineto
-67.04 202.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 70.44 196.8 moveto
-60 195 lineto
-67.04 202.92 lineto
-closepath stroke
-grestore
-% Node8
+newpath 79 58 moveto
+79 50 79 40 79 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 82.5 31 moveto
+79 21 lineto
+75.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 82.5 31 moveto
+79 21 lineto
+75.5 31 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 116 232 moveto
+103 223 82 210 67 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 68.44 196.8 moveto
+58 195 lineto
+65.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68.44 196.8 moveto
+58 195 lineto
+65.04 202.92 lineto
+closepath stroke
+grestore
+% Node9
 gsave
 [ /Rect [ 88 175 180 195 ]
@@ -523,5 +565,5 @@
 95.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node7->Node8
+% Node8->Node9
 gsave
 1 setlinewidth
@@ -544,7 +586,7 @@
 closepath stroke
 grestore
-% Node9
-gsave
-[ /Rect [ 100 117 150 137 ]
+% Node10
+gsave
+[ /Rect [ 109 117 159 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -552,61 +594,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 100 116 moveto
-100 137 lineto
-150 137 lineto
-150 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 100 116 moveto
-100 137 lineto
-150 137 lineto
-150 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-108 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node8->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 132 174 moveto
-131 166 130 156 128 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 131.48 146.6 moveto
-127 137 lineto
-124.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 131.48 146.6 moveto
-127 137 lineto
-124.51 147.3 lineto
-closepath stroke
-grestore
-% Node9->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119 116 moveto
-115 108 109 97 104 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.92 86.04 moveto
-99 79 lineto
-100.8 89.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.92 86.04 moveto
-99 79 lineto
-100.8 89.44 lineto
+newpath 109 116 moveto
+109 137 lineto
+159 137 lineto
+159 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 109 116 moveto
+109 137 lineto
+159 137 lineto
+159 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+117 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node9->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 174 moveto
+134 166 134 156 134 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.5 147 moveto
+134 137 lineto
+130.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.5 147 moveto
+134 137 lineto
+130.5 147 lineto
+closepath stroke
+grestore
+% Node10->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 123 116 moveto
+115 107 104 96 95 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 97.55 83.6 moveto
+88 79 lineto
+92.6 88.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 97.55 83.6 moveto
+88 79 lineto
+92.6 88.55 lineto
 closepath stroke
 grestore
Index: /doc/latex/arx__ui_8h__incl.md5
===================================================================
--- /doc/latex/arx__ui_8h__incl.md5 (revision 269)
+++ /doc/latex/arx__ui_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-75ab95f48cc04e192b624ee2fd8c7a9d
+18acd23e61f57c8d7c7ddfb74aa81021
Index: /doc/latex/classbdm_1_1MPF__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1MPF__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1MPF__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
@@ -16,5 +16,5 @@
   Node6 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling some dependencies."];
   Node4 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node5 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rv\nrvc"];
+  Node5 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rvc"];
   Node7 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="ep"];
   Node7 [label="bdm::epdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1epdf.html",tooltip="Probability density function with numerical statistics, e.g. posterior density."];
Index: /doc/latex/arx__test_8cpp__incl.md5
===================================================================
--- /doc/latex/arx__test_8cpp__incl.md5 (revision 261)
+++ /doc/latex/arx__test_8cpp__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-13ef0aa1abf9e66e9f2842f41a312bec
+fa78fa2ddbee79acd4d1d10d5b645494
Index: /doc/latex/classbdm_1_1migamma__fix__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1migamma__fix__coll__graph.eps (revision 261)
+++ /doc/latex/classbdm_1_1migamma__fix__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 252 546
+%%PageBoundingBox: 36 36 252 542
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 216 510 boxprim clip newpath
+36 36 216 506 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -346,5 +346,5 @@
 % Node5
 gsave
-[ /Rect [ 6 481 90 501 ]
+[ /Rect [ 6 477 90 497 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -352,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 6 480 moveto
-6 501 lineto
-91 501 lineto
-91 480 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 6 480 moveto
-6 501 lineto
-91 501 lineto
-91 480 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-13.5 487.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 6 476 moveto
+6 497 lineto
+91 497 lineto
+91 476 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 6 476 moveto
+6 497 lineto
+91 497 lineto
+91 476 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+13.5 483.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node5->Node4
@@ -374,24 +374,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 30 473 moveto
-23 464 15 453 11 442 curveto
--7 388 18 319 29 293 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 27.45 475.4 moveto
-37 480 lineto
-32.4 470.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 27.45 475.4 moveto
-37 480 lineto
-32.4 470.45 lineto
+newpath 30 469 moveto
+23 460 15 449 11 438 curveto
+-6 385 18 319 29 293 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 27.45 471.4 moveto
+37 476 lineto
+32.4 466.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 27.45 471.4 moveto
+37 476 lineto
+32.4 466.45 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 20 421 76 441 ]
+[ /Rect [ 20 417 76 437 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -399,20 +399,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 20 420 moveto
-20 441 lineto
-76 441 lineto
-76 420 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 20 420 moveto
-20 441 lineto
-76 441 lineto
-76 420 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-28 427.5 moveto 40 (bdm::RV) alignedtext
+newpath 20 416 moveto
+20 437 lineto
+76 437 lineto
+76 416 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 20 416 moveto
+20 437 lineto
+76 437 lineto
+76 416 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+28 423.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node5->Node6
@@ -421,23 +421,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 48 470 moveto
-48 460 48 449 48 441 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 44.5 470 moveto
-48 480 lineto
-51.5 470 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 44.5 470 moveto
-48 480 lineto
-51.5 470 lineto
+newpath 48 466 moveto
+48 456 48 445 48 437 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.5 466 moveto
+48 476 lineto
+51.5 466 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.5 466 moveto
+48 476 lineto
+51.5 466 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 71 347 135 367 ]
+[ /Rect [ 71 345 135 365 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -445,20 +445,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 71 346 moveto
-71 367 lineto
-136 367 lineto
-136 346 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 71 346 moveto
-71 367 lineto
-136 367 lineto
-136 346 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-78.5 353.5 moveto 49 (bdm::epdf) alignedtext
+newpath 71 344 moveto
+71 365 lineto
+136 365 lineto
+136 344 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 71 344 moveto
+71 365 lineto
+136 365 lineto
+136 344 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+78.5 351.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node5->Node7
@@ -467,19 +467,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 64 472 moveto
-72 463 80 453 85 442 curveto
-97 416 101 384 102 367 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 61.2 469.9 moveto
-58 480 lineto
-66.8 474.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 61.2 469.9 moveto
-58 480 lineto
-66.8 474.1 lineto
+newpath 64 468 moveto
+72 459 80 449 85 438 curveto
+96 413 100 381 102 365 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 61.2 465.9 moveto
+58 476 lineto
+66.8 470.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 61.2 465.9 moveto
+58 476 lineto
+66.8 470.1 lineto
 closepath stroke
 grestore
@@ -489,73 +489,70 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 46 410 moveto
-44 377 38 317 35 293 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 42.52 410.4 moveto
-47 420 lineto
-49.49 409.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 42.52 410.4 moveto
-47 420 lineto
-49.49 409.7 lineto
+newpath 46 406 moveto
+44 374 38 316 35 293 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 42.52 406.4 moveto
+47 416 lineto
+49.49 405.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 42.52 406.4 moveto
+47 416 lineto
+49.49 405.7 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-45.5 361 moveto 9 (rv) alignedtext
+43 352.5 moveto 14 (rvc) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 63 408 moveto
+73 394 87 376 95 365 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 60.2 405.9 moveto
+57 416 lineto
+65.8 410.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 60.2 405.9 moveto
+57 416 lineto
+65.8 410.1 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-43 348 moveto 14 (rvc) alignedtext
-grestore
-% Node6->Node7
+77.5 388.5 moveto 9 (rv) alignedtext
+grestore
+% Node7->Node4
 gsave
 1 setlinewidth
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 62 412 moveto
-73 398 87 379 95 367 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 59.2 409.9 moveto
-56 420 lineto
-64.8 414.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 59.2 409.9 moveto
-56 420 lineto
-64.8 414.1 lineto
+newpath 85 336 moveto
+72 323 54 305 44 293 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 82.78 338.78 moveto
+92 344 lineto
+88.05 334.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 82.78 338.78 moveto
+92 344 lineto
+88.05 334.17 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-77.5 392.5 moveto 9 (rv) alignedtext
-grestore
-% Node7->Node4
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 86 339 moveto
-72 324 55 305 44 293 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 83.45 341.4 moveto
-93 346 lineto
-88.4 336.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 83.45 341.4 moveto
-93 346 lineto
-88.4 336.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-74 316.5 moveto 12 (ep) alignedtext
+76 316.5 moveto 12 (ep) alignedtext
 grestore
 % Node9
@@ -589,18 +586,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 107 336 moveto
-110 322 112 304 114 293 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.53 335.51 moveto
-105 346 lineto
-110.39 336.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.53 335.51 moveto
-105 346 lineto
-110.39 336.88 lineto
+newpath 107 334 moveto
+110 321 112 304 114 293 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 103.53 333.51 moveto
+105 344 lineto
+110.39 334.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103.53 333.51 moveto
+105 344 lineto
+110.39 334.88 lineto
 closepath stroke
 grestore
@@ -752,5 +749,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 252 546
+%%BoundingBox: 36 36 252 542
 end
 restore
Index: /doc/latex/UIArxDS__test_8cpp__incl.dot
===================================================================
--- /doc/latex/UIArxDS__test_8cpp__incl.dot (revision 269)
+++ /doc/latex/UIArxDS__test_8cpp__incl.dot (revision 270)
@@ -14,31 +14,33 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node3 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node3 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
-  Node2 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
-  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
-  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node11 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid"];
-  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node12 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node2 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
+  Node11 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid"];
+  Node12 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node12 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid"];
-  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node14 [color="midnightblue",fontsize=10,style="solid"];
-  Node14 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
-  Node14 -> Node15 [color="midnightblue",fontsize=10,style="solid"];
-  Node15 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node11 -> Node13 [color="midnightblue",fontsize=10,style="solid"];
+  Node13 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node13 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node13 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node13 -> Node14 [color="midnightblue",fontsize=10,style="solid"];
+  Node14 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node15 [color="midnightblue",fontsize=10,style="solid"];
+  Node15 [label="estim/arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
   Node15 -> Node16 [color="midnightblue",fontsize=10,style="solid"];
-  Node16 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
-  Node16 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node15 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node14 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
+  Node16 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
+  Node16 -> Node17 [color="midnightblue",fontsize=10,style="solid"];
+  Node17 [label="../stat/libFN.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libFN_8h-source.html"];
+  Node17 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node16 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node15 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1EKFfull__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKFfull__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKFfull__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/ekf__templ_8h__incl.dot
===================================================================
--- /doc/latex/ekf__templ_8h__incl.dot (revision 261)
+++ /doc/latex/ekf__templ_8h__incl.dot (revision 270)
@@ -14,12 +14,14 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
-  Node2 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node2 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1migamma__fix__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1migamma__fix__coll__graph.md5 (revision 261)
+++ /doc/latex/classbdm_1_1migamma__fix__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-4e6a2be096d42e63d3a80c1c0e809759
+559afabda7e1dc7582277c57575bb33b
